<!--
  Special thanks to Travis Horn who made this sweet article
  https://travishorn.com/creating-a-photo-gallery-with-vue-css-grid-3e0a3dd25285
-->
<template>
  <div class="gallery">
    <div class="gallery-panel" v-for="content in contents" :key="content._id">
      <gallery-item :content="content" />
    </div>
  </div>
</template>

<script>
import GalleryItem from "./GalleryItem.vue";
export default {
  props: {
    contents: Array
  },
  components: {
    "gallery-item": GalleryItem
  }
};
</script>

<style>
.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(10rem, 1fr));
  grid-gap: 1rem;
  margin: 5rem auto;
  padding: 0 5rem;
}
.gallery-panel img {
  width: 100%;
  object-fit: cover;
  border-radius: 0.75rem;
}
</style>
